subset,sealevel-method {oce} | R Documentation

## Subset a Sealevel Object

### Description

This function is somewhat analogous to `subset.data.frame`, but subsetting is only permitted by time.

### Usage

    ## S4 method for signature 'sealevel'
    subset(x, subset, ...)

### Arguments

`x` | A `sealevel` object, i.e. one inheriting from `sealevel-class`.
`subset` | a condition to be applied to the `data` portion of `x`.
`...` | ignored.

### Value

A new `sealevel` object.

### Author(s)

Dan Kelley

### See Also

Other things related to `sealevel` data: `[[,sealevel-method`, `[[<-,sealevel-method`, `as.sealevel`, `plot,sealevel-method`, `read.sealevel`, `sealevel-class`, `sealevelTuktoyaktuk`, `sealevel`, `summary,sealevel-method`

Other functions that subset `oce` objects: `subset,adp-method`, `subset,adv-method`, `subset,amsr-method`, `subset,argo-method`, `subset,cm-method`, `subset,coastline-method`, `subset,ctd-method`, `subset,echosounder-method`, `subset,lobo-method`, `subset,met-method`, `subset,oce-method`, `subset,odf-method`, `subset,rsk-method`, `subset,section-method`, `subset,topo-method`

### Examples

    library(oce)
    data(sealevel)
    plot(sealevel)
    plot(subset(sealevel, time < mean(range(sealevel[['time']]))))

[Package oce version 0.9-22 Index]